# DaprAppCallbackProtos.TopicEventBulkRequestEntry (dapr-sdk-parent 1.10.0 API)

Package io.dapr.v1

## Class DaprAppCallbackProtos.TopicEventBulkRequestEntry

- java.lang.Object
- - com.google.protobuf.AbstractMessageLite
  - - com.google.protobuf.AbstractMessage
    - - com.google.protobuf.GeneratedMessageV3
      - - io.dapr.v1.DaprAppCallbackProtos.TopicEventBulkRequestEntry

All Implemented Interfaces:
  `com.google.protobuf.Message`, `com.google.protobuf.MessageLite`, `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`, `DaprAppCallbackProtos.TopicEventBulkRequestEntryOrBuilder`, `Serializable`

Enclosing class:
  DaprAppCallbackProtos

    public static final class DaprAppCallbackProtos.TopicEventBulkRequestEntry
    extends com.google.protobuf.GeneratedMessageV3
    implements DaprAppCallbackProtos.TopicEventBulkRequestEntryOrBuilder

     TopicEventBulkRequestEntry represents a single message inside a bulk request

Protobuf type `dapr.proto.runtime.v1.TopicEventBulkRequestEntry`

See Also:
  Serialized Form

### Nested Class Summary

Nested Classes
`static class` `DaprAppCallbackProtos.TopicEventBulkRequestEntry.Builder` TopicEventBulkRequestEntry represents a single message inside a bulk request
`static class` `DaprAppCallbackProtos.TopicEventBulkRequestEntry.EventCase`

### Nested classes/interfaces inherited from class com.google.protobuf.GeneratedMessageV3

`com.google.protobuf.GeneratedMessageV3.BuilderParent, com.google.protobuf.GeneratedMessageV3.ExtendableBuilder<MessageType extends com.google.protobuf.GeneratedMessageV3.ExtendableMessage,​BuilderType extends com.google.protobuf.GeneratedMessageV3.ExtendableBuilder<MessageType,​BuilderType>>, com.google.protobuf.GeneratedMessageV3.ExtendableMessage<MessageType extends com.google.protobuf.GeneratedMessageV3.ExtendableMessage>, com.google.protobuf.GeneratedMessageV3.ExtendableMessageOrBuilder<MessageType extends com.google.protobuf.GeneratedMessageV3.ExtendableMessage>, com.google.protobuf.GeneratedMessageV3.FieldAccessorTable, com.google.protobuf.GeneratedMessageV3.UnusedPrivateParameter`

### Nested classes/interfaces inherited from class com.google.protobuf.AbstractMessageLite

`com.google.protobuf.AbstractMessageLite.InternalOneOfEnum`

### Field Summary

Fields
`static int` `BYTES_FIELD_NUMBER`
`static int` `CLOUD_EVENT_FIELD_NUMBER`
`static int` `CONTENT_TYPE_FIELD_NUMBER`
`static int` `ENTRY_ID_FIELD_NUMBER`
`static int` `METADATA_FIELD_NUMBER`

### Fields inherited from class com.google.protobuf.GeneratedMessageV3

`alwaysUseFieldBuilders, unknownFields`

### Fields inherited from class com.google.protobuf.AbstractMessage

`memoizedSize`

### Fields inherited from class com.google.protobuf.AbstractMessageLite

`memoizedHashCode`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
`boolean` `containsMetadata​(String key)` The metadata associated with the event.
`boolean` `equals​(Object obj)`
`com.google.protobuf.ByteString` `getBytes()` `bytes bytes = 2;`
`DaprAppCallbackProtos.TopicEventCERequest` `getCloudEvent()` `.dapr.proto.runtime.v1.TopicEventCERequest cloud_event = 3;`
`DaprAppCallbackProtos.TopicEventCERequestOrBuilder` `getCloudEventOrBuilder()` `.dapr.proto.runtime.v1.TopicEventCERequest cloud_event = 3;`
`String` `getContentType()` content type of the event contained.
`com.google.protobuf.ByteString` `getContentTypeBytes()` content type of the event contained.
`static DaprAppCallbackProtos.TopicEventBulkRequestEntry` `getDefaultInstance()`
`DaprAppCallbackProtos.TopicEventBulkRequestEntry` `getDefaultInstanceForType()`
`static com.google.protobuf.Descriptors.Descriptor` `getDescriptor()`
`String` `getEntryId()` Unique identifier for the message.
`com.google.protobuf.ByteString` `getEntryIdBytes()` Unique identifier for the message.
`DaprAppCallbackProtos.TopicEventBulkRequestEntry.EventCase` `getEventCase()`
`Map<String,​String>` `getMetadata()` Deprecated.
`int` `getMetadataCount()` The metadata associated with the event.
`Map<String,​String>` `getMetadataMap()` The metadata associated with the event.
`String` `getMetadataOrDefault​(String key, String defaultValue)` The metadata associated with the event.
`String` `getMetadataOrThrow​(String key)` The metadata associated with the event.
`com.google.protobuf.Parser<DaprAppCallbackProtos.TopicEventBulkRequestEntry>` `getParserForType()`
`int` `getSerializedSize()`
`com.google.protobuf.UnknownFieldSet` `getUnknownFields()`
`boolean` `hasBytes()` `bytes bytes = 2;`
`boolean` `hasCloudEvent()` `.dapr.proto.runtime.v1.TopicEventCERequest cloud_event = 3;`
`int` `hashCode()`
`protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable` `internalGetFieldAccessorTable()`
`protected com.google.protobuf.MapField` `internalGetMapField​(int number)`
`boolean` `isInitialized()`
`static DaprAppCallbackProtos.TopicEventBulkRequestEntry.Builder` `newBuilder()`
`static DaprAppCallbackProtos.TopicEventBulkRequestEntry.Builder` `newBuilder​(DaprAppCallbackProtos.TopicEventBulkRequestEntry prototype)`
`DaprAppCallbackProtos.TopicEventBulkRequestEntry.Builder` `newBuilderForType()`
`protected DaprAppCallbackProtos.TopicEventBulkRequestEntry.Builder` `newBuilderForType​(com.google.protobuf.GeneratedMessageV3.BuilderParent parent)`
`protected Object` `newInstance​(com.google.protobuf.GeneratedMessageV3.UnusedPrivateParameter unused)`
`static DaprAppCallbackProtos.TopicEventBulkRequestEntry` `parseDelimitedFrom​(InputStream input)`
`static DaprAppCallbackProtos.TopicEventBulkRequestEntry` `parseDelimitedFrom​(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static DaprAppCallbackProtos.TopicEventBulkRequestEntry` `parseFrom​(byte[] data)`
`static DaprAppCallbackProtos.TopicEventBulkRequestEntry` `parseFrom​(byte[] data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static DaprAppCallbackProtos.TopicEventBulkRequestEntry` `parseFrom​(com.google.protobuf.ByteString data)`
`static DaprAppCallbackProtos.TopicEventBulkRequestEntry` `parseFrom​(com.google.protobuf.ByteString data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static DaprAppCallbackProtos.TopicEventBulkRequestEntry` `parseFrom​(com.google.protobuf.CodedInputStream input)`
`static DaprAppCallbackProtos.TopicEventBulkRequestEntry` `parseFrom​(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static DaprAppCallbackProtos.TopicEventBulkRequestEntry` `parseFrom​(InputStream input)`
`static DaprAppCallbackProtos.TopicEventBulkRequestEntry` `parseFrom​(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static DaprAppCallbackProtos.TopicEventBulkRequestEntry` `parseFrom​(ByteBuffer data)`
`static DaprAppCallbackProtos.TopicEventBulkRequestEntry` `parseFrom​(ByteBuffer data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static com.google.protobuf.Parser<DaprAppCallbackProtos.TopicEventBulkRequestEntry>` `parser()`
`DaprAppCallbackProtos.TopicEventBulkRequestEntry.Builder` `toBuilder()`
`void` `writeTo​(com.google.protobuf.CodedOutputStream output)`

### Methods inherited from class com.google.protobuf.GeneratedMessageV3

`canUseUnsafe, computeStringSize, computeStringSizeNoTag, emptyBooleanList, emptyDoubleList, emptyFloatList, emptyIntList, emptyLongList, getAllFields, getDescriptorForType, getField, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, hasField, hasOneof, makeExtensionsImmutable, mergeFromAndMakeImmutableInternal, mutableCopy, mutableCopy, mutableCopy, mutableCopy, mutableCopy, newBooleanList, newBuilderForType, newDoubleList, newFloatList, newIntList, newLongList, parseDelimitedWithIOException, parseDelimitedWithIOException, parseUnknownField, parseUnknownFieldProto3, parseWithIOException, parseWithIOException, parseWithIOException, parseWithIOException, serializeBooleanMapTo, serializeIntegerMapTo, serializeLongMapTo, serializeStringMapTo, writeReplace, writeString, writeStringNoTag`

### Methods inherited from class com.google.protobuf.AbstractMessage

`findInitializationErrors, getInitializationErrorString, hashBoolean, hashEnum, hashEnumList, hashFields, hashLong, toString`

### Methods inherited from class com.google.protobuf.AbstractMessageLite

`addAll, addAll, checkByteStringIsUtf8, toByteArray, toByteString, writeDelimitedTo, writeTo`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.MessageLite

`toByteArray, toByteString, writeDelimitedTo, writeTo`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, hasField, hasOneof`

### Field Detail

#### ENTRY_ID_FIELD_NUMBER

    public static final int ENTRY_ID_FIELD_NUMBER

See Also:
  Constant Field Values

#### BYTES_FIELD_NUMBER

    public static final int BYTES_FIELD_NUMBER

See Also:
  Constant Field Values

#### CLOUD_EVENT_FIELD_NUMBER

    public static final int CLOUD_EVENT_FIELD_NUMBER

See Also:
  Constant Field Values

#### CONTENT_TYPE_FIELD_NUMBER

    public static final int CONTENT_TYPE_FIELD_NUMBER

See Also:
  Constant Field Values

#### METADATA_FIELD_NUMBER

    public static final int METADATA_FIELD_NUMBER

See Also:
  Constant Field Values

### Method Detail

#### newInstance

    protected Object newInstance​(com.google.protobuf.GeneratedMessageV3.UnusedPrivateParameter unused)

Overrides:
  `newInstance` in class `com.google.protobuf.GeneratedMessageV3`

#### getUnknownFields

    public final com.google.protobuf.UnknownFieldSet getUnknownFields()

Specified by:
  `getUnknownFields` in interface `com.google.protobuf.MessageOrBuilder`
Overrides:
  `getUnknownFields` in class `com.google.protobuf.GeneratedMessageV3`

#### getDescriptor

    public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

#### internalGetMapField

    protected com.google.protobuf.MapField internalGetMapField​(int number)

Overrides:
  `internalGetMapField` in class `com.google.protobuf.GeneratedMessageV3`

#### internalGetFieldAccessorTable

    protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()

Specified by:
  `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessageV3`

#### getEventCase

    public DaprAppCallbackProtos.TopicEventBulkRequestEntry.EventCase getEventCase()

Specified by:
  `getEventCase` in interface `DaprAppCallbackProtos.TopicEventBulkRequestEntryOrBuilder`

#### getEntryId

    public String getEntryId()

     Unique identifier for the message.

`string entry_id = 1;`

Specified by:
  `getEntryId` in interface `DaprAppCallbackProtos.TopicEventBulkRequestEntryOrBuilder`
Returns:
  The entryId.

#### getEntryIdBytes

    public com.google.protobuf.ByteString getEntryIdBytes()

     Unique identifier for the message.

`string entry_id = 1;`

Specified by:
  `getEntryIdBytes` in interface `DaprAppCallbackProtos.TopicEventBulkRequestEntryOrBuilder`
Returns:
  The bytes for entryId.

#### hasBytes

    public boolean hasBytes()

`bytes bytes = 2;`

Specified by:
  `hasBytes` in interface `DaprAppCallbackProtos.TopicEventBulkRequestEntryOrBuilder`
Returns:
  Whether the bytes field is set.

#### getBytes

    public com.google.protobuf.ByteString getBytes()

`bytes bytes = 2;`

Specified by:
  `getBytes` in interface `DaprAppCallbackProtos.TopicEventBulkRequestEntryOrBuilder`
Returns:
  The bytes.

#### hasCloudEvent

    public boolean hasCloudEvent()

`.dapr.proto.runtime.v1.TopicEventCERequest cloud_event = 3;`

Specified by:
  `hasCloudEvent` in interface `DaprAppCallbackProtos.TopicEventBulkRequestEntryOrBuilder`
Returns:
  Whether the cloudEvent field is set.

#### getCloudEvent

    public DaprAppCallbackProtos.TopicEventCERequest getCloudEvent()

`.dapr.proto.runtime.v1.TopicEventCERequest cloud_event = 3;`

Specified by:
  `getCloudEvent` in interface `DaprAppCallbackProtos.TopicEventBulkRequestEntryOrBuilder`
Returns:
  The cloudEvent.

#### getCloudEventOrBuilder

    public DaprAppCallbackProtos.TopicEventCERequestOrBuilder getCloudEventOrBuilder()

`.dapr.proto.runtime.v1.TopicEventCERequest cloud_event = 3;`

Specified by:
  `getCloudEventOrBuilder` in interface `DaprAppCallbackProtos.TopicEventBulkRequestEntryOrBuilder`

#### getContentType

    public String getContentType()

     content type of the event contained.

`string content_type = 4;`

Specified by:
  `getContentType` in interface `DaprAppCallbackProtos.TopicEventBulkRequestEntryOrBuilder`
Returns:
  The contentType.

#### getContentTypeBytes

    public com.google.protobuf.ByteString getContentTypeBytes()

     content type of the event contained.

`string content_type = 4;`

Specified by:
  `getContentTypeBytes` in interface `DaprAppCallbackProtos.TopicEventBulkRequestEntryOrBuilder`
Returns:
  The bytes for contentType.

#### getMetadataCount

    public int getMetadataCount()

Description copied from interface: `DaprAppCallbackProtos.TopicEventBulkRequestEntryOrBuilder`

     The metadata associated with the event.

`map<string, string> metadata = 5;`

Specified by:
  `getMetadataCount` in interface `DaprAppCallbackProtos.TopicEventBulkRequestEntryOrBuilder`

#### containsMetadata

    public boolean containsMetadata​(String key)

     The metadata associated with the event.

`map<string, string> metadata = 5;`

Specified by:
  `containsMetadata` in interface `DaprAppCallbackProtos.TopicEventBulkRequestEntryOrBuilder`

#### getMetadata

    @Deprecated
    public Map<String,​String> getMetadata()

Deprecated.
Use `getMetadataMap()` instead.

Specified by:
  `getMetadata` in interface `DaprAppCallbackProtos.TopicEventBulkRequestEntryOrBuilder`

#### getMetadataMap

    public Map<String,​String> getMetadataMap()

     The metadata associated with the event.

`map<string, string> metadata = 5;`

Specified by:
  `getMetadataMap` in interface `DaprAppCallbackProtos.TopicEventBulkRequestEntryOrBuilder`

#### getMetadataOrDefault

    public String getMetadataOrDefault​(String key,
                                       String defaultValue)

     The metadata associated with the event.

`map<string, string> metadata = 5;`

Specified by:
  `getMetadataOrDefault` in interface `DaprAppCallbackProtos.TopicEventBulkRequestEntryOrBuilder`

#### getMetadataOrThrow

    public String getMetadataOrThrow​(String key)

     The metadata associated with the event.

`map<string, string> metadata = 5;`

Specified by:
  `getMetadataOrThrow` in interface `DaprAppCallbackProtos.TopicEventBulkRequestEntryOrBuilder`

#### isInitialized

    public final boolean isInitialized()

Specified by:
  `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
Overrides:
  `isInitialized` in class `com.google.protobuf.GeneratedMessageV3`

#### writeTo

    public void writeTo​(com.google.protobuf.CodedOutputStream output)
                 throws IOException

Specified by:
  `writeTo` in interface `com.google.protobuf.MessageLite`
Overrides:
  `writeTo` in class `com.google.protobuf.GeneratedMessageV3`
Throws:
  `IOException`

#### getSerializedSize

    public int getSerializedSize()

Specified by:
  `getSerializedSize` in interface `com.google.protobuf.MessageLite`
Overrides:
  `getSerializedSize` in class `com.google.protobuf.GeneratedMessageV3`

#### equals

    public boolean equals​(Object obj)

Specified by:
  `equals` in interface `com.google.protobuf.Message`
Overrides:
  `equals` in class `com.google.protobuf.AbstractMessage`

#### hashCode

    public int hashCode()

Specified by:
  `hashCode` in interface `com.google.protobuf.Message`
Overrides:
  `hashCode` in class `com.google.protobuf.AbstractMessage`

#### parseFrom

    public static DaprAppCallbackProtos.TopicEventBulkRequestEntry parseFrom​(ByteBuffer data)
                                                                      throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

#### parseFrom

    public static DaprAppCallbackProtos.TopicEventBulkRequestEntry parseFrom​(ByteBuffer data,
                                                                             com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                                      throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

#### parseFrom

    public static DaprAppCallbackProtos.TopicEventBulkRequestEntry parseFrom​(com.google.protobuf.ByteString data)
                                                                      throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

#### parseFrom

    public static DaprAppCallbackProtos.TopicEventBulkRequestEntry parseFrom​(com.google.protobuf.ByteString data,
                                                                             com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                                      throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

#### parseFrom

    public static DaprAppCallbackProtos.TopicEventBulkRequestEntry parseFrom​(byte[] data)
                                                                      throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

#### parseFrom

    public static DaprAppCallbackProtos.TopicEventBulkRequestEntry parseFrom​(byte[] data,
                                                                             com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                                      throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

#### parseFrom

    public static DaprAppCallbackProtos.TopicEventBulkRequestEntry parseFrom​(InputStream input)
                                                                      throws IOException

Throws:
  `IOException`

#### parseFrom

    public static DaprAppCallbackProtos.TopicEventBulkRequestEntry parseFrom​(InputStream input,
                                                                             com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                                      throws IOException

Throws:
  `IOException`

#### parseDelimitedFrom

    public static DaprAppCallbackProtos.TopicEventBulkRequestEntry parseDelimitedFrom​(InputStream input)
                                                                               throws IOException

Throws:
  `IOException`

#### parseDelimitedFrom

    public static DaprAppCallbackProtos.TopicEventBulkRequestEntry parseDelimitedFrom​(InputStream input,
                                                                                      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                                               throws IOException

Throws:
  `IOException`

#### parseFrom

    public static DaprAppCallbackProtos.TopicEventBulkRequestEntry parseFrom​(com.google.protobuf.CodedInputStream input)
                                                                      throws IOException

Throws:
  `IOException`

#### parseFrom

    public static DaprAppCallbackProtos.TopicEventBulkRequestEntry parseFrom​(com.google.protobuf.CodedInputStream input,
                                                                             com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                                      throws IOException

Throws:
  `IOException`

#### newBuilderForType

    public DaprAppCallbackProtos.TopicEventBulkRequestEntry.Builder newBuilderForType()

Specified by:
  `newBuilderForType` in interface `com.google.protobuf.Message`
Specified by:
  `newBuilderForType` in interface `com.google.protobuf.MessageLite`

#### newBuilder

    public static DaprAppCallbackProtos.TopicEventBulkRequestEntry.Builder newBuilder()

#### newBuilder

    public static DaprAppCallbackProtos.TopicEventBulkRequestEntry.Builder newBuilder​(DaprAppCallbackProtos.TopicEventBulkRequestEntry prototype)

#### toBuilder

    public DaprAppCallbackProtos.TopicEventBulkRequestEntry.Builder toBuilder()

Specified by:
  `toBuilder` in interface `com.google.protobuf.Message`
Specified by:
  `toBuilder` in interface `com.google.protobuf.MessageLite`

#### newBuilderForType

    protected DaprAppCallbackProtos.TopicEventBulkRequestEntry.Builder newBuilderForType​(com.google.protobuf.GeneratedMessageV3.BuilderParent parent)

Specified by:
  `newBuilderForType` in class `com.google.protobuf.GeneratedMessageV3`

#### getDefaultInstance

    public static DaprAppCallbackProtos.TopicEventBulkRequestEntry getDefaultInstance()

#### parser

    public static com.google.protobuf.Parser<DaprAppCallbackProtos.TopicEventBulkRequestEntry> parser()

#### getParserForType

    public com.google.protobuf.Parser<DaprAppCallbackProtos.TopicEventBulkRequestEntry> getParserForType()

Specified by:
  `getParserForType` in interface `com.google.protobuf.Message`
Specified by:
  `getParserForType` in interface `com.google.protobuf.MessageLite`
Overrides:
  `getParserForType` in class `com.google.protobuf.GeneratedMessageV3`

#### getDefaultInstanceForType

    public DaprAppCallbackProtos.TopicEventBulkRequestEntry getDefaultInstanceForType()

Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`